package osa.attribute.atgrammar.gui.tables.attributes_table;

import java.util.*;

import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import javax.swing.JTable;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class AttributesTable
  extends JTable
  {


  public AttributesTable()
    {
    super();
    setDefaultEditor(Object.class,new AttributesTCE());
    setDefaultRenderer(Object.class,new AttributesTCR());
    setRowHeight(20);
    setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    }
  }